--- a/Makefile Thu Apr 06 09:32:30 2006 +0000
+++ b/Makefile Fri Apr 07 08:22:48 2006 +0000
@@ -26,6 +26,7 @@
include ethercat.conf
else
KERNELDIR := /usr/src/linux
+INSTALLDIR := /opt/ethercat
endif
modules:
@@ -34,6 +35,9 @@
clean:
$(MAKE) -C $(KERNELDIR) M=`pwd` clean
+install:
+ @./install.sh $(INSTALLDIR)
+
#------------------------------------------------------------------------------
endif
--- a/ethercat.conf.tmpl Thu Apr 06 09:32:30 2006 +0000
+++ b/ethercat.conf.tmpl Fri Apr 07 08:22:48 2006 +0000
@@ -1,6 +1,6 @@
#------------------------------------------------------------------------------
#
-# EtherCAT Konfigurationsdatei Kernel 2.6
+# EtherCAT configuration file
#
# $Id$
#
@@ -9,5 +9,10 @@
#
#------------------------------------------------------------------------------
+# The kernel to compile the EtherCAT sources against
KERNELDIR = /usr/src/linux
+# Install directory used by "make install"
+INSTALLDIR := /opt/ethercat
+
+#------------------------------------------------------------------------------
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/install.sh Fri Apr 07 08:22:48 2006 +0000
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+#------------------------------------------------------------------------------
+#
+# EtherCAT install script
+#
+# $Id$
+#
+#------------------------------------------------------------------------------
+
+# Fetch parameter
+
+if [ $# -eq 0 ]; then
+ echo "Usage: $0 <INSTALLDIR>"
+ exit 1
+fi
+
+INSTALLDIR=$1
+
+# Create install directory
+
+if [ ! -d $INSTALLDIR ]; then
+ echo "Creating directory $INSTALLDIR..."
+ if ! mkdir $INSTALLDIR; then exit 1; fi
+fi
+
+# Copy files
+
+if ! cp master/ec_master.ko $INSTALLDIR; then exit -1; fi
+if ! cp devices/ec_8139too.ko $INSTALLDIR; then exit -1; fi
+
+# Finished
+
+exit 0
+
+#------------------------------------------------------------------------------